import request from '@/helpers/request'
const axios = require('@/common/axios').default
const apiPrefix = '/api-teacher'

export const queryWaitCourseActivity = (data) => {
    return request({
        url: '/vipGroupActivity/queryWaitCourseActivity',
        method: 'get',
        params: data
    })
}

export const getActivityWaitCourseStudentNum = (data) => {
    return request({
        url: '/vipGroupActivity/getActivityWaitCourseStudentNum',
        method: 'get',
        params: data
    })
}

export const getActivityStudentCanCourseNum = (data) => {
    return axios({
        url: apiPrefix + '/vipGroupActivity/getActivityStudentCanCourseNum',
        method: 'get',
        params: data
    })
    
}

// 


export const createVipGroup = (data) => {
    return request({
        url: '/teacherVipGroup/createVipGroup',
        method: 'post',
        data
    })
}
export const createPracticeGroup = (data) => {
    return request({
        url: '/teacherPracticeGroup/createPracticeGroup',
        method: 'post',
        data
    })
}